Endpoints
Retrieves a paginated list of field tags for a specific endpoint. Can be filtered by name, entity_type_id, store_as, and is_required.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
Filter results by name.
Filter results by entity_type_id.
Filter results by store_as.
Filter results by is_required.
Comma-separated list of relationships to include. Available: entityType
Sort field. Prefix with - for descending. Available: name, entity_type_id, store_as, is_required
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/endpoints/{endpoint}/field-tags HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"field_path": "example_field_path",
"tags": "example_tags",
"label": "My Label",
"key": "example_key",
"value": "example_value",
"secret": "example_secret",
"variables": "example_variables",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"name": "My Example",
"system_id": 1,
"system": {},
"entity_type_id": 1,
"entity_type": {},
"endpoint": "example_endpoint",
"http_method": "CONNECT",
"data_type": "csv",
"pagination_method": "Custom relative URI",
"deprecated_at": "2025-01-15T10:30:00.000000Z",
"direction": "Send",
"returns_multiple_records": true,
"pre_script_version_id": 1,
"post_script_version_id": 1,
"endpoint_schema": [],
"field_tags": [],
"data_path": [],
"body_format": "none",
"raw_body": [],
"filters": [],
"modified": [],
"help_link": [],
"authentication_implementations": [],
"pre_script_version": "example_pre_script_version",
"post_script_version": "example_post_script_version",
"disable_header_addition": true,
"response_encoding": "base64"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/endpoints/{endpoint}/field-tags",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/endpoints/{endpoint}/field-tags?page=1",
"last": "https://api.example.com/api/v1/endpoints/{endpoint}/field-tags?page=1",
"prev": null,
"next": null
}
}Creates a new field tag for a specific endpoint.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/endpoints/{endpoint}/field-tags HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 57
{
"field_path": "example_field_path",
"tags": "example_tags"
}{
"data": {
"id": 1,
"field_path": "example_field_path",
"tags": "example_tags",
"label": "My Label",
"key": "example_key",
"value": "example_value",
"secret": "example_secret",
"variables": "example_variables",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"name": "My Example",
"system_id": 1,
"system": {},
"entity_type_id": 1,
"entity_type": {},
"endpoint": "example_endpoint",
"http_method": "CONNECT",
"data_type": "csv",
"pagination_method": "Custom relative URI",
"deprecated_at": "2025-01-15T10:30:00.000000Z",
"direction": "Send",
"returns_multiple_records": true,
"pre_script_version_id": 1,
"post_script_version_id": 1,
"endpoint_schema": [],
"field_tags": [],
"data_path": [],
"body_format": "none",
"raw_body": [],
"filters": [],
"modified": [],
"help_link": [],
"authentication_implementations": [],
"pre_script_version": "example_pre_script_version",
"post_script_version": "example_post_script_version",
"disable_header_addition": true,
"response_encoding": "base64"
}
}Updates an existing field tag for a specific endpoint.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
The field tag identifier.
Successful response
No content
Unauthenticated
Unauthorized
Validation Error
PUT /api/v1/endpoints/{endpoint}/field-tags/{field_tag} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Permanently deletes a specific field tag for a specific endpoint.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
The field tag identifier.
Successful response
Unauthenticated
Unauthorized
DELETE /api/v1/endpoints/{endpoint}/field-tags/{field_tag} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Retrieves the pagination method details for a specific endpoint.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/endpoints/{endpoint}/pagination HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"field_path": "example_field_path",
"tags": "example_tags",
"label": "My Label",
"key": "example_key",
"value": "example_value",
"secret": "example_secret",
"variables": "example_variables",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"name": "My Example",
"system_id": 1,
"system": {},
"entity_type_id": 1,
"entity_type": {},
"endpoint": "example_endpoint",
"http_method": "CONNECT",
"data_type": "csv",
"pagination_method": "Custom relative URI",
"deprecated_at": "2025-01-15T10:30:00.000000Z",
"direction": "Send",
"returns_multiple_records": true,
"pre_script_version_id": 1,
"post_script_version_id": 1,
"endpoint_schema": [],
"field_tags": [],
"data_path": [],
"body_format": "none",
"raw_body": [],
"filters": [],
"modified": [],
"help_link": [],
"authentication_implementations": [],
"pre_script_version": "example_pre_script_version",
"post_script_version": "example_post_script_version",
"disable_header_addition": true,
"response_encoding": "base64"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/endpoints/{endpoint}/pagination",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/endpoints/{endpoint}/pagination?page=1",
"last": "https://api.example.com/api/v1/endpoints/{endpoint}/pagination?page=1",
"prev": null,
"next": null
}
}Updates the pagination method configuration for a specific endpoint.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
PUT /api/v1/endpoints/{endpoint}/pagination HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"variables": "example_variables",
"request_options": []
}{
"data": {
"id": 1,
"field_path": "example_field_path",
"tags": "example_tags",
"label": "My Label",
"key": "example_key",
"value": "example_value",
"secret": "example_secret",
"variables": "example_variables",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"name": "My Example",
"system_id": 1,
"system": {},
"entity_type_id": 1,
"entity_type": {},
"endpoint": "example_endpoint",
"http_method": "CONNECT",
"data_type": "csv",
"pagination_method": "Custom relative URI",
"deprecated_at": "2025-01-15T10:30:00.000000Z",
"direction": "Send",
"returns_multiple_records": true,
"pre_script_version_id": 1,
"post_script_version_id": 1,
"endpoint_schema": [],
"field_tags": [],
"data_path": [],
"body_format": "none",
"raw_body": [],
"filters": [],
"modified": [],
"help_link": [],
"authentication_implementations": [],
"pre_script_version": "example_pre_script_version",
"post_script_version": "example_post_script_version",
"disable_header_addition": true,
"response_encoding": "base64"
}
}Retrieves the schema defined for a specific endpoint.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/endpoints/{endpoint}/schema HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"field_path": "example_field_path",
"tags": "example_tags",
"label": "My Label",
"key": "example_key",
"value": "example_value",
"secret": "example_secret",
"variables": "example_variables",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"name": "My Example",
"system_id": 1,
"system": {},
"entity_type_id": 1,
"entity_type": {},
"endpoint": "example_endpoint",
"http_method": "CONNECT",
"data_type": "csv",
"pagination_method": "Custom relative URI",
"deprecated_at": "2025-01-15T10:30:00.000000Z",
"direction": "Send",
"returns_multiple_records": true,
"pre_script_version_id": 1,
"post_script_version_id": 1,
"endpoint_schema": [],
"field_tags": [],
"data_path": [],
"body_format": "none",
"raw_body": [],
"filters": [],
"modified": [],
"help_link": [],
"authentication_implementations": [],
"pre_script_version": "example_pre_script_version",
"post_script_version": "example_post_script_version",
"disable_header_addition": true,
"response_encoding": "base64"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/endpoints/{endpoint}/schema",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/endpoints/{endpoint}/schema?page=1",
"last": "https://api.example.com/api/v1/endpoints/{endpoint}/schema?page=1",
"prev": null,
"next": null
}
}Retrieves a paginated list of variables for a specific endpoint. Can be filtered by label, key, and value.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
Filter results by label.
Filter results by key.
Filter results by value.
Sort field. Prefix with - for descending. Available: label, key, value
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/endpoints/{endpoint}/variables HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"label": "My Label",
"key": "example_key",
"value": "example_value",
"secret": "example_secret",
"locked": "example_locked",
"configurable": "example_configurable",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"modified": "example_modified",
"pivot": "example_pivot",
"required": true,
"advanced": true,
"alias": "example_alias"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/endpoints/{endpoint}/variables",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/endpoints/{endpoint}/variables?page=1",
"last": "https://api.example.com/api/v1/endpoints/{endpoint}/variables?page=1",
"prev": null,
"next": null
}
}Creates a new variable for a specific endpoint.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
Successful response
Unauthenticated
Unauthorized
Validation Error
POST /api/v1/endpoints/{endpoint}/variables HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 222
{
"label": "My Label",
"key": "example_key",
"value": "example_value",
"secret": "example_secret",
"pivot": {
"alias": "example_alias",
"configurable": "example_configurable",
"required": "example_required",
"advanced": "example_advanced"
}
}{
"data": {
"id": 1,
"label": "My Label",
"key": "example_key",
"value": "example_value",
"secret": "example_secret",
"locked": "example_locked",
"configurable": "example_configurable",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"modified": "example_modified",
"pivot": "example_pivot",
"required": true,
"advanced": true,
"alias": "example_alias"
}
}Permanently deletes a specific variable for a specific endpoint.
API key passed in the Authorization header. Format: <api-key>
The endpoint identifier.
The variable identifier.
Successful response
Unauthenticated
Unauthorized
DELETE /api/v1/endpoints/{endpoint}/variables/{variable} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"message": "Action completed successfully."
}Last updated
Was this helpful?